Package org.eclipse.mat.ui.snapshot.actions

# Class OpenSampleHeapDumpAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.mat.ui.snapshot.actions.OpenSampleHeapDumpAction

All Implemented Interfaces:
  `Runnable`, `ILiveHelpAction`, `IAction`, `ICheatSheetAction`

public class OpenSampleHeapDumpAction extends Action implements ICheatSheetAction, ILiveHelpAction

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OpenSampleHeapDumpAction.Handler`

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`OpenSampleHeapDumpAction()`

## Method Summary

Modifier and Type
Method
Description
`static final void`
`openEditor(String snapshotPath, String editorId, Object arguments)`
`void`
`run()`
`void`
`run(String[] params, ICheatSheetManager manager)`
`void`
`setInitializationString(String data)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenSampleHeapDumpAction

public OpenSampleHeapDumpAction()

## Method Details

### run

public void run(String[] params, ICheatSheetManager manager)

Specified by:
  `run` in interface `ICheatSheetAction`

### openEditor

public static final void openEditor(String snapshotPath, String editorId, Object arguments) throws PartInitException

Throws:
  `PartInitException`

### run

public void run()

Specified by:
  `run` in interface `IAction`
Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Action`

### setInitializationString

public void setInitializationString(String data)

Specified by:
  `setInitializationString` in interface `ILiveHelpAction`